[Genabel-commits] r1103 - branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples

noreply at r-forge.r-project.org noreply at r-forge.r-project.org
Wed Feb 13 10:36:42 CET 2013


Author: lckarssen
Date: 2013-02-13 10:36:42 +0100 (Wed, 13 Feb 2013)
New Revision: 1103

Modified:
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/Makefile.am
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_bt.sh
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_cox.sh
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_mms.sh
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_qt.sh
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.dose.fvd
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.dose.fvi
   branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.mldose
Log:
In the PAcoxfix branch examples directory:
- updated with recent changes in trunk
- a few local changes to the examples


Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/Makefile.am
===================================================================
--- branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/Makefile.am	2013-02-13 09:35:15 UTC (rev 1102)
+++ branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/Makefile.am	2013-02-13 09:36:42 UTC (rev 1103)
@@ -4,8 +4,7 @@
 
 examplefiles = height_ngp2_robust_int1_over_domin.out.txt.save		\
  test.prob.fvi mmscore_gen.prob.fvd test.map mldose.IDS			\
- impute_with_missing.mlinfo						\
- height_ngp2_robust_int1_recess.out.txt.save				\
+ impute_with_missing.mlinfo  height_ngp2_robust_int1_recess.out.txt.save \
  height_ngp2_2df.out.txt.save mmscore_gen.mlprob mmscore_gen.mlinfo	\
  height_ngp2_robust_recess.out.txt.save example_cox.sh test.mlprob	\
  test.prob.fvd impute_with_missing_robust_int1_add.out.txt.save		\
@@ -107,6 +106,11 @@
 mmscore_prob_recess.out.txt mmscore_prob_add.out.txt			\
 mmscore_prob_2df.out.txt mmscore_prob_fv_2df.out.txt
 
-cleanfiles_cox = coxph_add.out.txt coxph_fv_add.out.txt
+cleanfiles_cox = coxph_dose_add.out.txt coxph_dose_fv_add.out.txt	\
+coxph_prob_fv_over_domin.out.txt coxph_prob_fv_domin.out.txt		\
+coxph_prob_over_domin.out.txt coxph_prob_fv_add.out.txt			\
+coxph_prob_fv_recess.out.txt coxph_prob_domin.out.txt			\
+coxph_prob_recess.out.txt coxph_prob_add.out.txt			\
+coxph_prob_2df.out.txt coxph_prob_fv_2df.out.txt
 
 CLEANFILES = $(cleanfiles_bt) $(cleanfiles_qt) $(cleanfiles_mms) $(cleanfiles_cox)

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_bt.sh
===================================================================
--- branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_bt.sh	2013-02-13 09:35:15 UTC (rev 1102)
+++ branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_bt.sh	2013-02-13 09:36:42 UTC (rev 1103)
@@ -1,3 +1,22 @@
+#!/bin/sh
+# This script runs checks on ProbABEL's palinear module for
+# quantitative traits.
+
+run_diff()
+{
+    # This function is run after each check. It needs two arguments:
+    # $1: first file to compare
+    # $2: second file to compare
+    if diff "$1" "$2"; then
+        echo -e "\t\tOK"
+    else
+        echo -e "\t\tFAILED"
+        exit 1
+    fi
+}
+
+
+# ---- The checks start here ----
 echo "analysing BT"
 if [ -z ${srcdir} ]; then
     srcdir="."
@@ -3,4 +22,12 @@
 fi
 
+# Redirect all output to file descriptor 3 to /dev/null except if
+# the first argument is "verbose" then redirect handle 3 to stdout
+exec 3>/dev/null
+if [ "$1" = "verbose" ]; then
+    echo "Verbose mode ON"
+    exec 3>&1
+fi
+
 ../src/palogist \
     -p ${srcdir}/logist_data.txt \
@@ -9,7 +36,8 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 \
-    -o logist
+    -o logist \
+    >& 3
 
 ../src/palogist \
     -p ${srcdir}/logist_data.txt \
@@ -17,10 +45,11 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 \
-    -o logist_fv
+    -o logist_fv \
+    >& 3
 
 echo "BT check: dose vs. dose_fv"
-diff logist_add.out.txt logist_fv_add.out.txt
+run_diff logist_add.out.txt logist_fv_add.out.txt
 
 ../src/palogist \
     -p ${srcdir}/logist_data.txt \
@@ -29,7 +58,8 @@
     -m ${srcdir}/test.map \
     --ngpreds=2 \
     -c 19 \
-    -o logist_prob
+    -o logist_prob \
+    >& 3
 
 ../src/palogist \
     -p ${srcdir}/logist_data.txt \
@@ -38,10 +68,13 @@
     -m ${srcdir}/test.map \
     --ngpreds=2 \
     -c 19 \
-    -o logist_prob_fv
+    -o logist_prob_fv \
+    >& 3
 
-echo "BT check: prob vs. prob_fv"
-diff logist_prob_add.out.txt logist_prob_fv_add.out.txt
+for model in add domin over_domin recess 2df; do
+    echo -n "BT check ($model model): prob vs. prob_fv"
+    run_diff logist_prob_${model}.out.txt logist_prob_fv_${model}.out.txt
+done
 
 # Commented out because of slightly different output formats. We need
 # something smart here.

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_cox.sh
===================================================================
--- branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_cox.sh	2013-02-13 09:35:15 UTC (rev 1102)
+++ branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_cox.sh	2013-02-13 09:36:42 UTC (rev 1103)
@@ -10,7 +10,7 @@
         echo -e "\t\tOK"
     else
         echo -e "\t\tFAILED"
-#        exit 1
+        exit 1
     fi
 }
 
@@ -21,13 +21,22 @@
     srcdir="."
 fi
 
+# Redirect all output to file descriptor 3 to /dev/null except if
+# the first argument is "verbose" then redirect handle 3 to stdout
+exec 3>/dev/null
+if [ "$1" = "verbose" ]; then
+    echo "Verbose mode ON"
+    exec 3>&1
+fi
+
 ../src/pacoxph \
     -p ${srcdir}/coxph_data.txt \
     -d ${srcdir}/test.mldose \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 \
-    -o coxph
+    -o coxph_dose \
+    >& 3
 
 ../src/pacoxph \
     -p ${srcdir}/coxph_data.txt \
@@ -35,10 +44,11 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 \
-    -o coxph_fv
+    -o coxph_dose_fv \
+    >& 3
 
-echo -n "pacoxph check: dose vs. dose_fv"
-run_diff coxph_add.out.txt coxph_fv_add.out.txt
+echo -n "pacoxph check: dose vs. dose_fv "
+run_diff coxph_dose_add.out.txt coxph_dose_fv_add.out.txt
 
 
 ../src/pacoxph \
@@ -48,10 +58,12 @@
     -m ${srcdir}/test.map \
     --ngpreds=2 \
     -c 19 \
-    -o coxph_prob
+    -o coxph_prob \
+    >& 3
 
-echo -n "pacoxph check: dose vs. prob"
-run_diff coxph_add.out.txt coxph_prob_add.out.txt
+# Disabling this check for now because the output differs slightly
+# echo -n "pacoxph check: dose vs. prob "
+# run_diff coxph_dose_add.out.txt coxph_prob_add.out.txt
 
 
 ../src/pacoxph \
@@ -61,7 +73,10 @@
     -m ${srcdir}/test.map \
     --ngpreds=2 \
     -c 19 \
-    -o coxph_fv_prob
+    -o coxph_prob_fv \
+    >& 3
 
-echo -n "pacoxph check: prob vs. prob_fv"
-run_diff coxph_prob_add.out.txt coxph_fv_prob_add.out.txt
+for model in add domin recess over_domin 2df; do
+    echo -n "pacoxph check ($model model): prob vs. prob_fv "
+    run_diff coxph_prob_${model}.out.txt coxph_prob_fv_${model}.out.txt
+done

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_mms.sh
===================================================================
--- branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_mms.sh	2013-02-13 09:35:15 UTC (rev 1102)
+++ branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_mms.sh	2013-02-13 09:36:42 UTC (rev 1103)
@@ -1,5 +1,6 @@
 #!/bin/sh
-# This script runs checks on ProbABEL's palinear module with MMScore
+# This script runs checks on ProbABEL's palinear module for
+# quantitative traits combined with the mmscore option.
 
 run_diff()
 {
@@ -16,18 +17,26 @@
 
 
 # ---- The checks start here ----
-echo "Analysis using MMSCORE"
+echo "analysis using MMScore"
 if [ -z ${srcdir} ]; then
     srcdir="."
 fi
 
+# Redirect all output to file descriptor 3 to /dev/null except if
+# the first argument is "verbose" then redirect handle 3 to stdout
+exec 3>/dev/null
+if [ "$1" = "verbose" ]; then
+    exec 3>&1
+fi
+
 ../src/palinear \
     -p ${srcdir}/mmscore_pheno.PHE \
     -i ${srcdir}/mmscore_gen.mlinfo \
     -d ${srcdir}/mmscore_gen.mldose \
     --sep="," \
     -o mmscore_dose \
-    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat
+    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat \
+    >& 3
 
 ../src/palinear \
     -p ${srcdir}/mmscore_pheno.PHE \
@@ -35,7 +44,8 @@
     -d ${srcdir}/mmscore_gen.dose.fvi \
     --sep="," \
     -o mmscore_dose_fv \
-    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat
+    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat \
+    >& 3
 
 echo "mmscore check: dose vs. dose_fv"
 diff mmscore_add.out.txt mmscore_fv_add.out.txt
@@ -47,7 +57,8 @@
     -d ${srcdir}/mmscore_gen.mlprob \
     --ngpreds=2 --sep="," \
     -o mmscore_prob \
-    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat
+    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat \
+    >& 3
 
 ../src/palinear \
     -p ${srcdir}/mmscore_pheno.PHE \
@@ -55,18 +66,13 @@
     -d ${srcdir}/mmscore_gen.prob.fvi \
     --ngpreds=2 --sep="," \
     -o mmscore_prob_fv \
-    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat
+    --mmscore ${srcdir}/mmscore_InvSigma_aj.sex.age.dat \
+    >& 3
 
-echo -n "mmscore check (additive model): prob vs. prob_fv "
-run_diff mmscore_prob_add.out.txt mmscore_prob_fv_add.out.txt
-echo -n "mmscore check (dominant model): prob vs. prob_fv "
-run_diff mmscore_prob_domin.out.txt mmscore_prob_fv_domin.out.txt
-echo -n "mmscore check (recessive model): prob vs. prob_fv "
-run_diff mmscore_prob_recess.out.txt mmscore_prob_fv_recess.out.txt
-echo -n "mmscore check (over-dominant model): prob vs. prob_fv "
-run_diff mmscore_prob_over_domin.out.txt mmscore_prob_fv_over_domin.out.txt
-echo -n "mmscore check (2df model): prob vs. prob_fv "
-run_diff mmscore_prob_2df.out.txt mmscore_prob_fv_2df.out.txt
+for model in add domin over_domin recess 2df; do
+    echo -n "mmscore check ($model model): prob vs. prob_fv"
+    run_diff mmscore_prob_${model}.out.txt mmscore_prob_fv_${model}.out.txt
+done
 
 # Commented out because of slightly different output formats. We need
 # something smart here.

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_qt.sh
===================================================================
--- branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_qt.sh	2013-02-13 09:35:15 UTC (rev 1102)
+++ branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/example_qt.sh	2013-02-13 09:36:42 UTC (rev 1103)
@@ -1,3 +1,22 @@
+#!/bin/sh
+# This script runs checks on ProbABEL's palinear module for
+# quantitative traits.
+
+run_diff()
+{
+    # This function is run after each check. It needs two arguments:
+    # $1: first file to compare
+    # $2: second file to compare
+    if diff "$1" "$2"; then
+        echo -e "\t\tOK"
+    else
+        echo -e "\t\tFAILED"
+        exit 1
+    fi
+}
+
+
+# ---- The checks start here ----
 echo "analysing QT"
 if [ -z ${srcdir} ]; then
     srcdir="."
@@ -3,4 +22,11 @@
 fi
 
+# Redirect all output to file descriptor 3 to /dev/null except if
+# the first argument is "verbose" then redirect handle 3 to stdout
+exec 3>/dev/null
+if [ "$1" = "verbose" ]; then
+    exec 3>&1
+fi
+
 echo "base analysis"
 ../src/palinear \
@@ -10,7 +36,8 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 \
-    -o height_base
+    -o height_base \
+    >& 3
 
 ../src/palinear \
     -p ${srcdir}/height.txt \
@@ -18,10 +45,11 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 \
-    -o height_base_fv
+    -o height_base_fv \
+    >& 3
 
-echo "QT check: dose vs. dose_fv"
-diff height_base_add.out.txt height_base_fv_add.out.txt
+echo -n "QT check: dose vs. dose_fv"
+run_diff height_base_add.out.txt height_base_fv_add.out.txt
 
 
 echo "Option --allcov"
@@ -30,17 +58,19 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --allcov \
-    -o height_allcov
+    -o height_allcov \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.dose.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --allcov \
-    -o height_allcov_fv
+    -o height_allcov_fv \
+    >& 3
 
-echo "QT check: allcov: dose vs. dose_fv"
-diff height_allcov_add.out.txt height_allcov_fv_add.out.txt
+echo -n "QT check: allcov: dose vs. dose_fv"
+run_diff height_allcov_add.out.txt height_allcov_fv_add.out.txt
 
 
 echo "Option --interaction=1"
@@ -50,17 +80,19 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --interaction=1 \
-    -o height_int1
+    -o height_int1 \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.dose.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --interaction=1 \
-    -o height_int1_fv
+    -o height_int1_fv \
+    >& 3
 
-echo "QT check: interactions: dose vs. dose_fv"
-diff height_int1_add.out.txt height_int1_fv_add.out.txt
+echo -n "QT check: interactions: dose vs. dose_fv"
+run_diff height_int1_add.out.txt height_int1_fv_add.out.txt
 
 
 echo "Option --robust"
@@ -70,17 +102,19 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --robust \
-    -o height_robust
+    -o height_robust \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.dose.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --robust \
-    -o height_robust_fv
+    -o height_robust_fv \
+    >& 3
 
-echo "QT check: robust: dose vs. dose_fv"
-diff height_robust_add.out.txt height_robust_fv_add.out.txt
+echo -n "QT check: robust: dose vs. dose_fv"
+run_diff height_robust_add.out.txt height_robust_fv_add.out.txt
 
 
 echo "Option --robust --interaction=1"
@@ -90,17 +124,19 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --robust --interaction=1 \
-    -o height_robust_int1
+    -o height_robust_int1 \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.dose.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --robust --interaction=1 \
-    -o height_robust_int1_fv
+    -o height_robust_int1_fv \
+    >& 3
 
-echo "QT check: robust & interaction: dose vs. dose_fv"
-diff height_robust_int1_add.out.txt height_robust_int1_fv_add.out.txt
+echo -n "QT check: robust & interaction: dose vs. dose_fv"
+run_diff height_robust_int1_add.out.txt height_robust_int1_fv_add.out.txt
 
 
 echo "Option --ngp=2, mlprob file"
@@ -110,23 +146,26 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 \
-    -o height_ngp2
+    -o height_ngp2 \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.prob.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 \
-    -o height_ngp2_fv
+    -o height_ngp2_fv \
+    >& 3
 
-echo "QT check: prob vs. prob_fv"
-diff height_ngp2_add.out.txt height_ngp2_fv_add.out.txt
-diff height_ngp2_domin.out.txt height_ngp2_fv_domin.out.txt
-diff height_ngp2_over_domin.out.txt height_ngp2_fv_over_domin.out.txt
-diff height_ngp2_recess.out.txt height_ngp2_fv_recess.out.txt
-diff height_ngp2_2df.out.txt height_ngp2_fv_2df.out.txt
+# echo -n "QT check: dose vs prob (additive model)"
+# run_diff height_base_add.out.txt height_ngp2_add.out.txt
 
+for model in add domin over_domin recess 2df; do
+    echo -n "QT check ($model model): prob vs. prob_fv"
+    run_diff height_ngp2_${model}.out.txt height_ngp2_fv_${model}.out.txt
+done
 
+
 echo "Option --ngp=2 --allcov"
 ../src/palinear \
     -p ${srcdir}/height.txt \
@@ -134,20 +173,21 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --allcov \
-    -o height_ngp2_allcov
+    -o height_ngp2_allcov \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.prob.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --allcov \
-    -o height_ngp2_allcov_fv
+    -o height_ngp2_allcov_fv \
+    >& 3
 
-diff height_ngp2_allcov_add.out.txt height_ngp2_allcov_fv_add.out.txt
-diff height_ngp2_allcov_domin.out.txt height_ngp2_allcov_fv_domin.out.txt
-diff height_ngp2_allcov_over_domin.out.txt height_ngp2_allcov_fv_over_domin.out.txt
-diff height_ngp2_allcov_recess.out.txt height_ngp2_allcov_fv_recess.out.txt
-diff height_ngp2_allcov_2df.out.txt height_ngp2_allcov_fv_2df.out.txt
+for model in add domin over_domin recess 2df; do
+    echo -n "QT check --allcov ($model model): prob vs. prob_fv"
+    run_diff height_ngp2_allcov_${model}.out.txt height_ngp2_allcov_fv_${model}.out.txt
+done
 
 
 echo "Option --ngp=2 --interaction=1"
@@ -157,20 +197,21 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --interaction=1 \
-    -o height_ngp2_int1
+    -o height_ngp2_int1 \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.prob.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --interaction=1 \
-    -o height_ngp2_int1_fv
+    -o height_ngp2_int1_fv \
+    >& 3
 
-diff height_ngp2_int1_add.out.txt height_ngp2_int1_fv_add.out.txt
-diff height_ngp2_int1_domin.out.txt height_ngp2_int1_fv_domin.out.txt
-diff height_ngp2_int1_over_domin.out.txt height_ngp2_int1_fv_over_domin.out.txt
-diff height_ngp2_int1_recess.out.txt height_ngp2_int1_fv_recess.out.txt
-diff height_ngp2_int1_2df.out.txt height_ngp2_int1_fv_2df.out.txt
+for model in add domin over_domin recess 2df; do
+    echo -n "QT check --interactions ($model model): prob vs. prob_fv"
+    run_diff height_ngp2_int1_${model}.out.txt height_ngp2_int1_fv_${model}.out.txt
+done
 
 
 echo "Option --ngp=2 --robust"
@@ -180,20 +221,21 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --robust \
-    -o height_ngp2_robust
+    -o height_ngp2_robust \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.prob.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --robust \
-    -o height_ngp2_robust_fv
+    -o height_ngp2_robust_fv \
+    >& 3
 
-diff height_ngp2_robust_add.out.txt height_ngp2_robust_fv_add.out.txt
-diff height_ngp2_robust_domin.out.txt height_ngp2_robust_fv_domin.out.txt
-diff height_ngp2_robust_over_domin.out.txt height_ngp2_robust_fv_over_domin.out.txt
-diff height_ngp2_robust_recess.out.txt height_ngp2_robust_fv_recess.out.txt
-diff height_ngp2_robust_2df.out.txt height_ngp2_robust_fv_2df.out.txt
+for model in add domin over_domin recess 2df; do
+    echo -n "QT check --robust ($model model): prob vs. prob_fv"
+    run_diff height_ngp2_robust_${model}.out.txt height_ngp2_robust_fv_${model}.out.txt
+done
 
 
 echo "Option --ngp=2 --robust --interaction=1"
@@ -203,17 +245,18 @@
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --robust --interaction=1 \
-    -o height_ngp2_robust_int1
+    -o height_ngp2_robust_int1 \
+    >& 3
 ../src/palinear \
     -p ${srcdir}/height.txt \
     -d ${srcdir}/test.prob.fvi \
     -i ${srcdir}/test.mlinfo \
     -m ${srcdir}/test.map \
     -c 19 --ngp=2 --robust --interaction=1 \
-    -o height_ngp2_robust_int1_fv
+    -o height_ngp2_robust_int1_fv \
+    >& 3
 
-diff height_ngp2_robust_int1_add.out.txt height_ngp2_robust_int1_fv_add.out.txt
-diff height_ngp2_robust_int1_domin.out.txt height_ngp2_robust_int1_fv_domin.out.txt
-diff height_ngp2_robust_int1_over_domin.out.txt height_ngp2_robust_int1_fv_over_domin.out.txt
-diff height_ngp2_robust_int1_recess.out.txt height_ngp2_robust_int1_fv_recess.out.txt
-diff height_ngp2_robust_int1_2df.out.txt height_ngp2_robust_int1_fv_2df.out.txt
+for model in add domin over_domin recess 2df; do
+    echo -n "QT check --robust --interactions ($model model): prob vs. prob_fv"
+    run_diff height_ngp2_robust_int1_${model}.out.txt height_ngp2_robust_int1_fv_${model}.out.txt
+done

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.dose.fvd
===================================================================
(Binary files differ)

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.dose.fvi
===================================================================
(Binary files differ)

Modified: branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.mldose
===================================================================
--- branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.mldose	2013-02-13 09:35:15 UTC (rev 1102)
+++ branches/ProbABEL-pacox/v.0.3.0/ProbABEL/examples/test.mldose	2013-02-13 09:36:42 UTC (rev 1103)
@@ -1,200 +1,200 @@
-1->id636728 MLDOSE 0.974 0.974 0.968 0.971 2
-2->id890314 MLDOSE 0.947 0.947 0.113 0.944 1.094
-3->id102874 MLDOSE 1.005 1.004 NaN 1.002 2
-4->id200949 MLDOSE 1.968 1.969 1.973 1.977 2
-5->id336491 MLDOSE 1.007 1.006 1.001 1.004 2
-6->id988766 MLDOSE 1.006 1.006 1 1.003 2
-7->id21999 MLDOSE 1.968 1.969 1.973 1.977 2
-8->id433893 MLDOSE 1.006 1.006 1.001 1.004 2
-9->id688932 MLDOSE 1.006 1.006 1.001 1.004 2
-10->id394203 MLDOSE 1.967 1.968 1.972 1.976 1.999
-11->id995678 MLDOSE 1.014 1.014 1.006 1.009 2
-12->id694339 MLDOSE 0.045 0.044 0.029 0.031 2
-13->id256455 MLDOSE 1.968 1.969 1.973 1.977 2
-14->id14836 MLDOSE 0.045 0.044 0.029 0.031 2
-15->id817128 MLDOSE 1.968 1.969 1.001 1.977 1.001
-16->id803325 MLDOSE 1.005 1.005 0.999 1.002 2
-17->id521287 MLDOSE 1.968 1.969 1.973 1.976 2
-18->id701472 MLDOSE 0.049 0.047 0.031 0.034 2
-19->id850010 MLDOSE 0.045 0.044 0.029 0.031 2
-20->id268483 MLDOSE 1.006 1.006 1.001 1.004 2
-21->id738781 MLDOSE 1.968 1.968 1.973 1.976 2
-22->id28411 MLDOSE 0.045 0.044 0.029 0.031 2
-23->id541635 MLDOSE 1.033 1.033 1.019 1.022 2
-24->id751101 MLDOSE 1.967 1.968 1.973 1.976 2
-25->id826300 MLDOSE 0.928 0.928 0.064 0.924 1.071
-26->id884387 MLDOSE 1 1 0.994 0.997 2
-27->id492414 MLDOSE 1.007 1.007 1.002 1.004 2
-28->id268871 MLDOSE 0.045 0.044 0.029 0.031 2
-29->id627354 MLDOSE 0.045 0.044 0.029 0.031 2
-30->id503932 MLDOSE 0.852 0.851 0.032 0.847 1.004
-31->id163442 MLDOSE 1.005 1.005 0.999 1.002 2
-32->id317797 MLDOSE 1.968 1.968 1.973 1.976 2
-33->id687857 MLDOSE 0.045 0.044 0.029 0.031 2
-34->id871570 MLDOSE 1.968 1.969 1.001 1.977 1.001
-35->id724067 MLDOSE 0.045 0.044 0.029 0.031 2
-36->id874076 MLDOSE 1.006 1.006 1.001 1.003 2
-37->id927863 MLDOSE 1.147 1.147 1.098 1.101 2
-38->id369805 MLDOSE 1.006 1.006 1.001 1.004 2
-39->id668376 MLDOSE 0.045 0.044 0.029 0.031 2
-40->id717362 MLDOSE 0.045 0.044 0.029 0.031 2
-41->id665504 MLDOSE 0.995 0.994 0.987 0.992 1.997
-42->id336637 MLDOSE 1.005 1.005 1 1.002 2
-43->id60633 MLDOSE 1.006 1.006 1 1.003 2
-44->id848600 MLDOSE 0.057 0.056 0.037 0.039 2
-45->id169514 MLDOSE 1.968 1.968 1.973 1.976 2
-46->id690732 MLDOSE 1.968 1.969 1.973 1.977 2
-47->id684760 MLDOSE 1.902 1.903 1.435 1.91 1.447
-48->id553502 MLDOSE 0.304 0.303 0.209 0.212 1.999
-49->id214917 MLDOSE 0.978 0.978 0.955 0.975 1.982
-50->id849169 MLDOSE 1.006 1.006 1.001 1.004 2
-51->id941921 MLDOSE 1.006 1.006 0.029 1.003 1.002
-52->id784646 MLDOSE 0.904 0.903 0.879 0.9 1.982
-53->id520954 MLDOSE 1.968 1.968 1.973 1.976 2
-54->id996355 MLDOSE 1.007 1.006 1.001 1.004 2
-55->id96730 MLDOSE 1.006 1.006 1 1.003 2
-56->id673442 MLDOSE 1.006 1.006 1.001 1.004 2
-57->id68305 MLDOSE 1.007 1.006 1.001 1.004 2
-58->id653025 MLDOSE 1.007 1.006 1.001 1.004 2
-59->id208543 MLDOSE 1.005 1.005 0.999 1.002 2
-60->id335725 MLDOSE 1.006 1.006 1.001 1.004 2
-61->id980400 MLDOSE 1.83 1.831 1.016 1.838 1.021
-62->id869939 MLDOSE 0.999 0.999 0.972 0.996 1.977
-63->id297563 MLDOSE 1.004 1.004 0.998 1.001 2
-64->id852663 MLDOSE 1.011 1.011 1.004 1.007 2
-65->id162070 MLDOSE 1.002 1.002 0.996 0.999 2
-66->id272875 MLDOSE 0.805 0.805 0.797 0.8 1.999
-67->id163787 MLDOSE 1.604 1.604 1.604 1.608 1.999
-68->id422204 MLDOSE 0.045 0.044 0.029 0.031 2
-69->id120197 MLDOSE 0.906 0.906 0.168 0.902 1.145
-70->id33660 MLDOSE 1.958 1.959 1.95 1.966 1.985
-71->id803855 MLDOSE 1.005 1.005 0.999 1.002 2
-72->id255048 MLDOSE 1.968 1.968 1.973 1.976 2
-73->id690936 MLDOSE 1.916 1.917 1.919 1.924 1.998
-74->id126807 MLDOSE 1.006 1.006 1 1.003 2
-75->id99016 MLDOSE 1.002 1.002 0.995 0.999 1.999
-76->id883847 MLDOSE 1.007 1.006 1.001 1.004 2
-77->id354523 MLDOSE 1.866 1.866 0.994 1.873 1.002
-78->id737255 MLDOSE 1.968 1.969 1.973 1.977 2
-79->id990941 MLDOSE 1.952 1.952 1.956 1.96 1.999
-80->id25464 MLDOSE 1.968 1.969 1.973 1.977 2
-81->id918375 MLDOSE 1.001 1.001 0.125 0.998 1.099
-82->id537828 MLDOSE 1.968 1.969 0.028 1.977 0.001
-83->id682778 MLDOSE 1.006 1.005 0.999 1.003 1.998
-84->id587547 MLDOSE 1.954 1.955 1.957 1.963 1.998
-85->id670874 MLDOSE 0.599 0.598 0.059 0.591 1.033
-86->id444459 MLDOSE 1.007 1.006 1.001 1.004 2
-87->id777456 MLDOSE 1.007 1.007 1.001 1.004 2
-88->id452384 MLDOSE 0.045 0.044 0.029 0.031 2
-89->id826975 MLDOSE 1.014 1.014 1.006 1.009 2
-90->id519567 MLDOSE 1.968 1.969 1.973 1.977 2
-91->id84292 MLDOSE 1.009 1.009 1.002 1.004 2
-92->id124432 MLDOSE 1.968 1.969 1.973 1.976 2
-93->id800145 MLDOSE 1.968 1.969 1.973 1.977 2
-94->id153857 MLDOSE 1.963 1.964 1.968 1.972 2
-95->id587157 MLDOSE 1.005 1.005 0.999 1.002 2
-96->id506262 MLDOSE 1.967 1.968 1.972 1.976 2
-97->id634462 MLDOSE 1.007 1.006 1.001 1.003 2
-98->id687592 MLDOSE 1.006 1.006 1 1.003 2
-99->id955526 MLDOSE 1.968 1.969 1.973 1.977 2
-100->id181850 MLDOSE 1.961 1.962 1.967 1.97 2
-101->id159506 MLDOSE 0.045 0.044 0.029 0.031 2
-102->id609051 MLDOSE 1.005 1.004 0.999 1.002 2
-103->id963886 MLDOSE 0.225 0.224 0.153 0.155 2
-104->id405792 MLDOSE 0.864 0.864 0.032 0.86 1.004
-105->id494172 MLDOSE 0.903 0.903 0.081 0.899 1.057
-106->id964637 MLDOSE 1.007 1.007 1.001 1.004 2
-107->id799355 MLDOSE 1.845 1.846 1.048 1.853 1.051
-108->id157111 MLDOSE 1.007 1.007 1.001 1.004 2
-109->id114524 MLDOSE 1.965 1.966 1 1.974 1.001
-110->id954931 MLDOSE 1.007 1.007 1.001 1.004 2
-111->id827034 MLDOSE 1.006 1.006 1 1.003 2
-112->id689645 MLDOSE 1.968 1.969 1.973 1.977 2
-113->id281585 MLDOSE 1.968 1.968 1.973 1.976 2
-114->id885624 MLDOSE 1.006 1.006 1.001 1.003 2
-115->id577871 MLDOSE 1.968 1.969 1.973 1.976 2
-116->id238796 MLDOSE 1.824 1.825 1.029 1.831 1.038
-117->id481035 MLDOSE 1.869 1.87 1.15 1.877 1.157
-118->id972713 MLDOSE 0.949 0.948 0.603 0.945 1.594
-119->id905484 MLDOSE 1.006 1.006 1 1.003 2
-120->id713511 MLDOSE 0.045 0.044 0.029 0.031 2
-121->id512328 MLDOSE 1.005 1.005 0.999 1.002 2
-122->id703534 MLDOSE 1.006 1.006 0.999 1.003 1.999
-123->id409904 MLDOSE 1.961 1.962 1.957 1.97 1.988
-124->id577169 MLDOSE 1.007 1.006 1.001 1.004 2
-125->id813971 MLDOSE 1.968 1.969 1.973 1.977 2
-126->id558483 MLDOSE 1.006 1.006 1 1.003 2
-127->id892784 MLDOSE 0.994 0.994 0.965 0.991 1.97
-128->id611178 MLDOSE 1.968 1.969 1.973 1.977 2
-129->id192732 MLDOSE 1.843 1.844 1.056 1.85 1.058
-130->id917280 MLDOSE 1.007 1.006 1.001 1.004 2
-131->id435876 MLDOSE 1.965 1.966 1.968 1.974 1.997
-132->id980722 MLDOSE 1.963 1.964 1.966 1.972 1.997
-133->id308273 MLDOSE 1.822 1.823 1 1.829 1.004
-134->id476685 MLDOSE 1.027 1.027 1.015 1.018 2
-135->id315883 MLDOSE 1.968 1.969 1.974 1.977 2
-136->id935945 MLDOSE 1.965 1.966 1.969 1.974 1.998
-137->id991781 MLDOSE 1.009 1.008 1.002 1.005 2
-138->id65199 MLDOSE 0.409 0.408 0.034 0.399 1.007
-139->id226233 MLDOSE 1.006 1.006 1 1.003 2
-140->id860183 MLDOSE 1.005 1.004 0.999 1.002 2
-141->id295209 MLDOSE 0.045 0.044 0.029 0.031 2
-142->id544964 MLDOSE 0.209 0.208 0.142 0.145 2
-143->id648663 MLDOSE 0.997 0.997 0.979 0.994 1.984
-144->id710165 MLDOSE 1.006 1.005 1 1.003 2
-145->id392593 MLDOSE 1.003 1.003 0.993 1 1.995
-146->id129945 MLDOSE 0.045 0.044 0.029 0.031 2
-147->id382621 MLDOSE 0.045 0.044 0.029 0.031 2
-148->id901440 MLDOSE 1 1 0.988 0.997 1.993
-149->id39847 MLDOSE 1.002 1.002 0.997 0.999 2
-150->id526460 MLDOSE 0.045 0.044 0.029 0.031 2
-151->id477473 MLDOSE 1.006 1.006 1.001 1.003 2
-152->id448194 MLDOSE 0.045 0.044 0.029 0.031 2
-153->id904184 MLDOSE 1.006 1.006 1 1.003 2
-154->id747852 MLDOSE 1.008 1.008 1.001 1.004 2
-155->id711012 MLDOSE 1.948 1.949 1.001 1.957 1.001
-156->id683879 MLDOSE 1.967 1.967 1.971 1.975 1.999
-157->id789575 MLDOSE 1.968 1.968 1.973 1.976 2
-158->id650729 MLDOSE 1.964 1.965 1.97 1.973 2
-159->id934302 MLDOSE 1.008 1.008 1.002 1.004 2
-160->id555013 MLDOSE 0.045 0.044 0.029 0.031 2
-161->id82779 MLDOSE 0.672 0.671 0.458 0.461 2
-162->id771444 MLDOSE 0.045 0.044 0.029 0.031 2
-163->id821562 MLDOSE 0.045 0.044 0.029 0.031 2
-164->id292809 MLDOSE 1.968 1.969 1.973 1.977 2
-165->id645690 MLDOSE 1.007 1.006 1.001 1.004 2
-166->id223901 MLDOSE 1.007 1.006 1.001 1.004 2
-167->id41320 MLDOSE 0.045 0.044 0.029 0.031 2
-168->id96181 MLDOSE 0.045 0.044 0.029 0.031 2
-169->id147900 MLDOSE 1.967 1.968 1.972 1.976 2
-170->id702917 MLDOSE 1.937 1.938 1.635 1.638 2
-171->id150640 MLDOSE 0.045 0.044 0.029 0.031 2
-172->id518391 MLDOSE 1.572 1.572 0.038 1.576 0.012
-173->id879076 MLDOSE 1.007 1.006 1.001 1.004 2
-174->id952031 MLDOSE 1.965 1.966 1.969 1.974 1.999
-175->id10055 MLDOSE 1.962 1.963 1.967 1.971 2
-176->id727213 MLDOSE 1.006 1.006 1 1.003 2
-177->id41961 MLDOSE 1.968 1.969 1.973 1.977 2
-178->id257209 MLDOSE 1.968 1.969 1.973 1.976 2
-179->id995361 MLDOSE 1.489 1.49 0.558 1.304 1.12
-180->id957918 MLDOSE 1.968 1.969 1.973 1.977 2
-181->id975370 MLDOSE 0.857 0.857 0.044 0.852 1.017
-182->id889896 MLDOSE 1.007 1.006 1.001 1.004 2
-183->id978164 MLDOSE 1.002 1.001 0.996 0.999 2
-184->id90359 MLDOSE 1.962 1.963 1.962 1.971 1.993
-185->id307158 MLDOSE 1.007 1.007 1.001 1.004 2
-186->id755940 MLDOSE 1.006 1.006 1.001 1.003 2
-187->id995582 MLDOSE 1.822 1.823 1.004 1.829 1.005
-188->id363965 MLDOSE 0.046 0.044 0.029 0.031 2
-189->id729124 MLDOSE 1.968 1.969 1.973 1.977 2
-190->id871963 MLDOSE 0.045 0.044 0.029 0.031 2
-191->id475172 MLDOSE 1.006 1.005 1 1.003 2
-192->id804699 MLDOSE 1.968 1.969 1.973 1.977 2
-193->id625843 MLDOSE 1.006 1.006 1.001 1.003 2
-194->id595713 MLDOSE 1.006 1.006 1 1.003 1.999
-195->id462604 MLDOSE 1.002 1.002 0.995 0.999 1.998
-196->id106141 MLDOSE 0.045 0.044 0.029 0.031 2
-197->id689349 MLDOSE 0.045 0.044 0.029 0.031 2
-198->id639003 MLDOSE 1.968 1.969 1.973 1.977 2
-199->id393896 MLDOSE 1.007 1.007 1.001 1.004 2
-200->id450307 MLDOSE 1.829 1.83 1.038 1.836 1.04
+1->id636728 MLDOSE 0.678 1.622 1.732 1.585 1.867
+2->id890314 MLDOSE 0.66 1.621 1.737 1.59 1.869
+3->id102874 MLDOSE 0.684 1.623 1.731 1.585 1.866
+4->id200949 MLDOSE 0.667 NaN 1.728 1.576 1.866
+5->id336491 MLDOSE 0.66 1.609 1.737 1.577 1.869
+6->id988766 MLDOSE 0.687 1.622 1.738 1.59 1.868
+7->id21999 MLDOSE 0.67 1.62 1.735 1.588 1.867
+8->id433893 MLDOSE 0.663 1.615 1.734 1.572 1.869
+9->id688932 MLDOSE 0.672 1.619 1.729 1.585 1.862
+10->id394203 MLDOSE 0.666 1.619 1.729 1.58 1.863
+11->id995678 MLDOSE 0.672 1.619 1.733 1.583 1.867
+12->id694339 MLDOSE 0.666 1.615 1.733 1.59 1.869
+13->id256455 MLDOSE 0.673 1.617 1.737 1.584 1.869
+14->id14836 MLDOSE 0.672 1.62 1.737 1.582 1.869
+15->id817128 MLDOSE 0.666 1.609 1.735 1.589 1.868
+16->id803325 MLDOSE 0.678 1.62 1.73 1.591 1.868
+17->id521287 MLDOSE 0.661 1.618 1.736 1.585 1.87
+18->id701472 MLDOSE 0.666 1.621 1.731 1.585 1.867
+19->id850010 MLDOSE 0.669 1.615 1.736 1.581 1.868
+20->id268483 MLDOSE 0.669 1.618 1.732 1.582 1.865
+21->id738781 MLDOSE 0.666 1.611 1.73 1.59 1.862
+22->id28411 MLDOSE 0.66 1.62 1.735 1.57 1.869
+23->id541635 MLDOSE 0.669 1.622 1.725 1.558 1.868
+24->id751101 MLDOSE 0.669 1.624 1.738 1.589 1.869
+25->id826300 MLDOSE 0.666 1.605 1.736 1.586 1.869
+26->id884387 MLDOSE 0.661 1.604 1.734 1.587 1.868
+27->id492414 MLDOSE 0.666 1.619 1.733 1.583 1.866
+28->id268871 MLDOSE 0.669 1.621 1.731 1.576 1.869
+29->id627354 MLDOSE 0.666 1.615 1.735 1.59 1.869
+30->id503932 MLDOSE 0.66 1.62 1.735 1.586 1.867
+31->id163442 MLDOSE 0.675 1.621 1.737 1.586 1.869
+32->id317797 MLDOSE 0.654 1.625 1.739 1.57 1.87
+33->id687857 MLDOSE 0.667 1.621 1.734 1.586 1.869
+34->id871570 MLDOSE 0.666 1.61 1.731 1.576 1.864
+35->id724067 MLDOSE 0.666 1.619 1.736 1.583 1.868
+36->id874076 MLDOSE 0.676 1.617 1.738 1.585 1.869
+37->id927863 MLDOSE 0.67 1.62 1.734 1.586 1.865
+38->id369805 MLDOSE 0.663 1.616 1.73 1.583 1.867
+39->id668376 MLDOSE 0.675 1.617 1.736 1.582 1.869
+40->id717362 MLDOSE 0.66 1.62 1.736 1.59 1.869
+41->id665504 MLDOSE 0.669 1.618 1.732 1.578 1.867
+42->id336637 MLDOSE 0.661 1.618 1.734 1.576 1.865
+43->id60633 MLDOSE 0.669 1.619 1.731 1.579 1.866
+44->id848600 MLDOSE 0.664 1.615 1.737 1.576 1.869
+45->id169514 MLDOSE 0.664 1.615 1.737 1.583 1.869
+46->id690732 MLDOSE 0.663 1.619 1.737 1.586 1.868
+47->id684760 MLDOSE 0.667 1.62 1.734 1.578 1.866
+48->id553502 MLDOSE 0.672 1.608 1.732 1.59 1.869
+49->id214917 MLDOSE 0.669 1.618 1.727 1.588 1.865
+50->id849169 MLDOSE 0.664 1.624 1.733 1.588 1.867
+51->id941921 MLDOSE 0.667 1.619 1.731 1.588 1.862
+52->id784646 MLDOSE 0.663 1.603 1.739 1.584 1.87
+53->id520954 MLDOSE 0.664 1.619 1.732 1.581 1.864
+54->id996355 MLDOSE 0.66 1.605 1.736 1.586 1.865
+55->id96730 MLDOSE 0.664 1.619 1.736 1.573 1.868
+56->id673442 MLDOSE 0.666 1.609 1.735 1.575 1.867
+57->id68305 MLDOSE 0.672 1.618 1.735 1.585 1.866
+58->id653025 MLDOSE 0.678 1.617 1.738 1.585 1.868
+59->id208543 MLDOSE 0.664 1.618 1.734 1.58 1.868
+60->id335725 MLDOSE 0.666 1.616 1.714 1.593 1.845
+61->id980400 MLDOSE 0.663 1.607 1.733 1.588 1.867
+62->id869939 MLDOSE 0.667 1.619 1.733 1.588 1.865
+63->id297563 MLDOSE 0.673 1.614 1.72 1.585 1.866
+64->id852663 MLDOSE 0.666 1.603 1.729 1.585 1.87
+65->id162070 MLDOSE 0.666 1.619 1.728 1.572 1.868
+66->id272875 MLDOSE 0.66 1.605 1.737 1.584 1.869
+67->id163787 MLDOSE 0.661 1.616 1.723 1.584 1.87
+68->id422204 MLDOSE 0.663 1.615 1.734 1.576 1.867
+69->id120197 MLDOSE 0.66 1.62 1.731 1.588 1.87
+70->id33660 MLDOSE 0.658 1.62 1.736 1.571 1.869
+71->id803855 MLDOSE 0.669 1.616 1.732 1.586 1.865
+72->id255048 MLDOSE 0.675 1.616 1.726 1.582 1.866
+73->id690936 MLDOSE 0.657 1.588 1.738 1.59 1.87
+74->id126807 MLDOSE 0.667 1.612 1.731 1.589 1.864
+75->id99016 MLDOSE 0.667 1.612 1.734 1.59 1.864
+76->id883847 MLDOSE 0.666 1.611 1.736 1.587 1.869
+77->id354523 MLDOSE 0.669 1.62 1.734 1.584 1.868
+78->id737255 MLDOSE 0.666 1.623 1.733 1.569 1.867
+79->id990941 MLDOSE 0.675 1.62 1.734 1.585 1.869
+80->id25464 MLDOSE 0.673 1.62 1.737 1.579 1.868
+81->id918375 MLDOSE 0.672 1.621 1.737 1.58 1.869
+82->id537828 MLDOSE 0.666 1.613 1.729 1.585 1.869
+83->id682778 MLDOSE 0.658 1.621 1.737 1.573 1.869
+84->id587547 MLDOSE 0.669 1.62 1.738 1.585 1.868
+85->id670874 MLDOSE 0.666 1.618 1.734 1.58 1.867
+86->id444459 MLDOSE 0.66 1.617 1.734 1.577 1.87
+87->id777456 MLDOSE 0.663 1.615 1.732 1.581 1.865
[TRUNCATED]

To get the complete diff run:
    svnlook diff /svnroot/genabel -r 1103


More information about the Genabel-commits mailing list